//
//  YHEducationInfo.swift
//  galaxy
//
//  Created by edy on 2024/2/20.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import SmartCodable

class YHEducationListInfo:SmartCodable {
    var eduList: [YHEducationInfo]?
    var eduCount: Int = 0
    var quaList: [YHQualificationInfo]?
    var quaCount: Int = 0
    var qualification: Int = 0
    var graduate: Int = 0
    var married: Int = 0

    enum CodingKeys: String, CodingKey {
        case eduList = "edu_list"
        case eduCount = "edu_count"
        case quaList = "qua_list"
        case quaCount = "qua_count"
        case qualification = "qualification"
        case graduate = "graduate"
        case married = "married"
    }

    required init() {
        
    }
}

class YHEducationInfo: SmartCodable {
    var id: Int = -1
    var orderId: Int = -1
    var college: String?
    var background: String?
    var professional: String?
    var admissionTime: String?
    var graduateTime: String?
    var vacantNum: Int = 0

    enum CodingKeys: String, CodingKey {
        case id = "id"
        case orderId = "order_id"
        case college = "college"
        case background = "background"
        case professional = "professional"
        case admissionTime = "admission_time"
        case graduateTime = "graduate_time"
        case vacantNum = "vacant_num"
    }
    
    required init() {
        
    }
}

class YHQualificationInfo: SmartCodable {
    var id: Int = -1
    var orderId: Int = -1
    var qualification: String?
    var vacantNum: Int = 0

    enum CodingKeys: String, CodingKey {
        case id = "id"
        case orderId = "order_id"
        case qualification = "qualification"
        case vacantNum = "vacant_num"
    }

    required init() {
        
    }
}
