//
//  YHEducationRequestViewModel.swift
//  galaxy
//
//  Created by edy on 2024/2/20.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHEducationRequestViewModel {
    var educationInfo: YHEducationListInfo?
    
    // 添加家庭成员
    func requestEducationInfo(params:[String:Any], callBackBlock:@escaping (_ success: Bool,_ error:YHErrorModel?)->()) {
       
       YHHUD.show(.progress(message: "数据加载中..."))

       let strUrl = YHBaseUrlManager.shared.curURL() + YHAllApiName.Education.educationInfoApi
       
       let _ = YHNetRequest.getRequest(url: strUrl, params:params) {[weak self] json, code in
           
           YHHUD.hide()
           guard let self = self else { return }
           guard let model = NetBaseModel.deserialize(dict: json) else {
               let error : YHErrorModel = YHErrorModel(errorCode:YHErrorCode.dictParseError.rawValue,errorMsg: YHErrorCode.dictParseError.description())
               callBackBlock(false,error)
               return
           }
           printLog("model 是 ==> \(model)")
           let dic = model.data?.peel as? [AnyHashable : Any]
           guard let resultModel = YHEducationListInfo.deserialize(dict: dic as? [AnyHashable : Any]) else {

               callBackBlock(false,nil)
               return
           }
           educationInfo = resultModel
           callBackBlock(true,nil)
           
       } failBlock: { err in
           callBackBlock(false,err)
       }
   }
}
